(function ($, Drupal) {
    Drupal.behaviors.organizationChart = {
      attach: function (context, settings) {
        let backgroundColor = drupalSettings.organization.background_color;
        let color = drupalSettings.organization.color;
  
        google.charts.load("current", { packages: ["orgchart"] });
        google.charts.setOnLoadCallback(drawChart);
  
        function drawChart() {
          var data = new google.visualization.DataTable();
          data.addColumn("string", "Name");
          data.addColumn("string", "Parent");
  
          // For each orgchart box, provide the name, manager, and tooltip to show.
          data.addRows(handleData);
  
          // For each orgchart row, provide dynamic background color and color
          data.Wf.map((ele, index) => data.setRowProperty(index, 'style', `background:${backgroundColor};color:${color}`))
        
          // Create the chart.
          var chart = new google.visualization.OrgChart(
            document.getElementById("tree")
          );
          // Draw the chart, setting the allowHtml option to true for the tooltips.
          chart.draw(data, { allowHtml: true });
        }
  
        let handleData = drupalSettings.organization.organization_tree.map((element) => {
            let splitData = element[0].f;
  
            let newData = splitData
              .split(",")
              .map((s) => "<p>" + s + "<p>")
              .join(" ");
  
            element[0].f = newData;
            return element;
          }
        );
      },
    };
  })(jQuery, Drupal);
  